<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use PhpOffice\PhpWord\IOFactory;
use PhpOffice\PhpWord\Shared\ZipArchive;

class OfficeController extends Controller
{

    public function obtenerFormato()
    {
        /**
         *  @html es la variable donde se cargara la plantilla
         *  Word convertida en HTML
         */

        $htmlContent = "";
        /**
         * @Path
         *  Ruta del archivo de Plantilla 
         *  
         */
        $fileName = "CARTA_XXX.docx";
        $filePath = 'storage/plantilla/' . $fileName;
        echo $filePath;
        
        $phpWord = IOFactory::load($filePath);
        // Obtener el contenido del documento como HTML
        $htmlContent = $phpWord->saveHTML();

        return $htmlContent;
    }
}
